Bug 967665 - timedatectl set-ntp - not working - systemd 201
timedatectl set-ntp - not working - systemd 201
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
18
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 18:50 EDT by poma
Modified: 2013-06-18 22:29 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 22:56:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Love and peace (1.39 KB, patch)
2013-05-27 18:50 EDT, poma
no flags Details | Diff

  None (edit)
Description poma 2013-05-27 18:50:59 EDT
Created attachment 753686 [details]
Love and peace

$ timedatectl set-ntp true
Failed to issue method call: No such file or directory
$ timedatectl set-ntp false
Failed to issue method call: No such file or directory

Actually timedated needs some attention and love.
Heal it with one of 204 series or up, and that's it. :)
Dear brothers and sisters.
Comment 2 Lennart Poettering 2013-06-04 07:50:21 EDT
Hmm, not following,. Do you actually have an ntp implementation installed?
Comment 3 poma 2013-06-04 20:11:32 EDT
(In reply to Lennart Poettering from comment #2)
> Hmm, not following,. Do you actually have an ntp implementation installed?

$ ps ax | grep [c]hrony
19495 ?        S      0:00 /usr/sbin/chronyd -u chrony ;)

http://lists.fedoraproject.org/pipermail/users/2013-May/435891.html

Harald's commit 7e7d4da22925c329d668334aec3b3e7f21f63bc3 
i.e. "timedated: fixed NTP enabled: n/a" 
versus 
systemd-201-2.fc18.7.src.rpm 
i.e. systemd-201/src/timedate/timedated.c 
-build-
# cp systemd-201/.libs/systemd-timedated /usr/lib/systemd/systemd-timedated
$ timedatectl | grep NTP
     NTP enabled: yes
NTP synchronized: yes
$ timedatectl set-ntp off
$ timedatectl | grep NTP
     NTP enabled: no
NTP synchronized: yes
$ systemctl status chronyd
chronyd.service - NTP client/server
   Loaded: loaded (/usr/lib/systemd/system/chronyd.service; disabled)
   Active: inactive (dead)

$ timedatectl set-ntp on
$ systemctl status chronyd
chronyd.service - NTP client/server
   Loaded: loaded (/usr/lib/systemd/system/chronyd.service; enabled)
   Active: active (running)…
Comment 4 Michael Catanzaro 2013-06-05 00:25:02 EDT
I've noticed this too; the NTP toggle in gnome-control-center is currently broken in F18, though I'm pretty sure it used to work. It's giving the same "Failed to issue method call: No such file or directory" error (when run in terminal with G_MESSAGES_DEBUG=true).

After the recent systemd update, chrony is active and running, and /usr/lib/systemd/ntp-units.d/50-chronyd.list exists (I haven't messed with any defaults), yet:

[michael@victory-road ~]$ gdbus introspect --system --dest org.freedesktop.timedate1 --object-path /org/freedesktop/timedate1
node /org/freedesktop/timedate1 {
  interface org.freedesktop.timedate1 {
    methods:
      SetTime(in  x usec_utc,
              in  b relative,
              in  b user_interaction);
      SetTimezone(in  s timezone,
                  in  b user_interaction);
      SetLocalRTC(in  b local_rtc,
                  in  b fix_system,
                  in  b user_interaction);
      SetNTP(in  b use_ntp,
             in  b user_interaction);
    signals:
    properties:
      readonly s Timezone = 'America/Chicago';
      readonly b LocalRTC = false;
      readonly b CanNTP = false;
      readonly b NTP = false;
  };

CanNTP = false seems bad, and this property didn't exist in F18 until systemd-201, so without actually understanding what's wrong, I blame the update!

poma posted a link above to what he says is the upstream commit which fixes the issue.
Comment 5 Michael Catanzaro 2013-06-18 22:29:48 EDT
poma, are you sure this bug should have been closed? It doesn't seem to be fixed in F18, and I didn't see any requests for additional information.

Note You need to log in before you can comment on or make changes to this bug.